summaryrefslogtreecommitdiff
path: root/tests/misc/nohup
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-08 12:26:55 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commit03a08a4cd0540cd6b018c5c9f602a1d25847ba62 (patch)
tree4c26a5e5aebb07fb2c35c39d51768a628a2cefa2 /tests/misc/nohup
parent28f1844cefb2decc05858fdf8cc62a9ef63a9a31 (diff)
downloadcoreutils-03a08a4cd0540cd6b018c5c9f602a1d25847ba62.tar.xz
Convert tests/misc/ to use test-lib.sh, too.
Diffstat (limited to 'tests/misc/nohup')
-rwxr-xr-xtests/misc/nohup27
1 files changed, 5 insertions, 22 deletions
diff --git a/tests/misc/nohup b/tests/misc/nohup
index c4f971ff5..ac9e5e561 100755
--- a/tests/misc/nohup
+++ b/tests/misc/nohup
@@ -1,7 +1,7 @@
#!/bin/sh
# test nohup
-# Copyright (C) 2003, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2003, 2006, 2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -21,22 +21,8 @@ if test "$VERBOSE" = yes; then
nohup --version
fi
-. $srcdir/../envvar-check
. $srcdir/../lang-default
-
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+. $srcdir/../test-lib.sh
fail=0
@@ -62,8 +48,7 @@ else
fi
echo 'stderr' >> exp || fail=1
-cmp exp err || fail=1
-test $fail = 1 && diff exp err 2> /dev/null
+compare exp err || fail=1
rm -f nohup.out err exp
# ----------------------
@@ -95,8 +80,7 @@ nohup: appending output to `nohup.out'
nohup: cannot run command `no-such-command': No such file or directory
EOF
# Disable these comparisons. Too much variation in 2nd line.
-# cmp exp err || fail=1
-# test $fail = 1 && diff exp err 2> /dev/null
+# compare exp err || fail=1
rm -f nohup.out err exp
# ----------------------
@@ -116,8 +100,7 @@ nohup: appending output to `nohup.out'
nohup: cannot run command `./k': Permission denied
EOF
# Disable these comparisons. Too much variation in 2nd line.
-# cmp exp err || fail=1
-# test $fail = 1 && diff exp err 2> /dev/null
+# compare exp err || fail=1
# Make sure it fails with exit status of 127 when given too few arguments.
nohup >/dev/null 2>&1